#----------------------------------------------------------------------------bh-
# This RPM .spec file is part of the OpenHPC project.
#
# It may have been modified from the default version supplied by the underlying
# release package (if available) in order to apply patches, perform customized
# build/install configurations, and supply additional files to support
# desired integration conventions.
#
#----------------------------------------------------------------------------eh-


%global ohpc_python_families python2 python3
%include %{_sourcedir}/OHPC_macros

%define pname python-compat

Summary:   OpenHPC compatibility package python modulefiles
Name:      %{pname}%{PROJ_DELIM}
Version:   1.3.4
Release:   13.1
License:   Apache-2.0
URL:       https://github.com/openhpc/ohpc
Group:     %{PROJ_NAME}/dev-tools
Source1:   OHPC_macros
BuildRequires: python
%if 0%{?suse_version}
BuildRequires: python3
%else
BuildRequires: python34
%endif


%description

Provides OpenHPC-style compatible module files for use with base distribution
python packages.

%prep

%build

%install

%{__mkdir_p} %{buildroot}%{OHPC_MODULES}
for my_family in %{ohpc_python_families}; do
    my_version=`${my_family} -c 'import sys; print(".".join(map(str, sys.version_info[:3])))'`
# OpenHPC module file
%{__cat} << EOF > %{buildroot}/%{OHPC_MODULES}/${my_family}
#%Module1.0#####################################################################

proc ModulesHelp { } {

puts stderr " "
puts stderr "This module loads the ${my_family} environment."
puts stderr "\nVersion ${my_version}\n"

}
module-whatis "Name: ${my_family}"
module-whatis "Version: ${my_version}"
module-whatis "Category: dev-tool"
module-whatis "Description: %{summary}"
module-whatis "URL %{url}"

set     version             ${my_version}

prepend-path    MODULEPATH          %{OHPC_MODULEDEPS}/${my_family}

family "python"

EOF
done


%files
%defattr(-,root,root,-)
%{OHPC_MODULES}

%changelog

